FROM golang:1.24.5-alpine AS builder
WORKDIR /app

COPY src/ ./

RUN CGO_ENABLED=0 GOOS=linux go build -ldflags="-s -w"  -o server

FROM scratch

COPY --from=builder /app/server /server

ENTRYPOINT ["/server"]
